Name:           codelite
Version:        2.10.0.4778
Release:        1%{?dist}
License:        GPLv2
Summary:        Powerful open-source, cross platform code editor for the C/C++
URL:            http://codelite.org/
Group:          Development/Tools/IDE
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  libpng-devel
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  desktop-file-utils
BuildRequires:  wxGTK-devel >= 2.8.10
Requires:       wxGTK >= 2.8.10
#Requires:       xterm
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
CodeLite is a powerful open-source, cross platform code editor for the C/C++
programming language. It uses a sophisticated, yet intuitive interface which
allows user easily to create, build and debug complex projects.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
# add CFLAGS configure script
sed "/\"CCFLAGS=/s:-Wall: :" -i configure
sed -e "s:optimization=\" -DREGEXP_UNICODE \":optimization=\"${CXXFLAGS} -DREGEXP_UNICODE \":" -i configure
sed -e "s:optimization=\" -O3 -DREGEXP_UNICODE \":optimization=\"${CXXFLAGS} -DREGEXP_UNICODE \":" -i configure
sed -e "s:optimization=\" -O0 \":optimization=\"${CXXFLAGS}\":g" -i configure
sed -e "s:optimization=\" -O2 \":optimization=\"${CXXFLAGS}\":g" -i configure
./configure --prefix=%{_prefix} --plugins-dir=%{_libdir}/%{name}
# Current makefile doesn't support parallel building
# make %%{?_smp_mflags} \
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
# Remove some backup files
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/projects/dynamic-library-wx-enabled/dynamic-library-wx-enabled.project~
# Fix permissions!
chmod o-w $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-icons.zip
chmod -R +x $RPM_BUILD_ROOT%{_libdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc about.html AUTHORS COPYING
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_libdir}/%{name}

%changelog
* Sun Mar 04 2012 Huaren Zhong <huaren.zhong@gmail.com> - 2.10.0.4778
- Rebuild for Fedora
* Fri Apr 15 2011 fisiu@opensuse.org
- upstream update to 2.10.0.4778:
  + Brand new git plugin
  + Major enhacments for debug mode and UI
  + Many bugs got fixed
- drop: codelite.desktop, use shipped one
* Mon Jan  3 2011 fisiu@opensuse.org
- upstream update to 2.9.0.4684:
  + Many bug fixes
  + Subversion plugin enhancements
  + Improved debugging
* Mon Nov  1 2010 fisiu@opensuse.org
- upstream update to 2.8.0.4537:
  + Many bug fixes
  + Debugger interface revamp
  + Find In Files improvements:
  - New options: ignore matches founds in comments or string
  - Color matches in comments using the editor's comment color
  + New: 'Find References'
* Wed Oct 13 2010 fisiu@opensuse.org
- upstream update to 2.7.0.4375:
  + Many bug fixes
  + New look
  + Code completion enhancements ( Macros improvement, More complex templates handling and much more )
  + New refactoring: Rename Local Variable
* Wed Jun  9 2010 fisiu@opensuse.org
- upstream update to 2.5.3.4075
  + code completion enhancements
  + many bugs were fixed
* Mon Apr 12 2010 fisiu@opensuse.org                              
- upstream update to 2.5.2.4031
  + Introducing wxAUI docking system + notebooks
  + Improvements to the debugger
  + code completion enhancements
  + Many UI changes
  + Many bugs were fixed
* Wed Mar  3 2010 fisiu@opensuse.org                              
- upstream update to 2.3.0.3833
  + Major improvements in the Code Completion
  + SymbolView plugin
  + Simplified search methods
  + Many bugs were fixed
* Tue Feb  2 2010 fisiu@opensuse.org
- upstream update to 2.2.0.3681
  + Introducing the environment variables set - define environment variable set per workspace
  + Subversion plugin - many bug fixes + improvements
  + Incremental search: Now with Replace options!
  + Improved function calltip
* Tue Jan 19 2010 fisiu@opensuse.org
- BuildRequires moved from wxWidgets to wxGTK
* Wed Dec 30 2009 fisiu@opensuse.org
- upstream update to 2.1.0.3584
* Wed Nov 18 2009 fisiu82@gmail.com
- new upstream release 2.0.3365
* Tue Oct 27 2009 fisiu82@gmail.com
- upstream update to 1.0.3035:
  + Compiler annotations and edit margin
  + New Debugger ASCII viewer
  + Better breakpoint handling
  + Get more from gdb!
  + C/C++ static code analysis by CppCheck!
  + Improved Setters / Getters dialog!
* Wed May 27 2009 fisiu82@gmail.com
- upstream update, 1.0.2841
* Mon Apr 20 2009 fisiu82@gmail.com
- upstream update, 1.0.2819
* Fri Mar  6 2009 fisiu82@gmail.com
- initial package, 1.0.2785
